stack-1.4.0: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.SDist

Synopsis

- getSDistTarball :: (StackM env m, HasEnvConfig env) => Maybe PvpBounds -> Path Abs Dir -> m (FilePath, ByteString)
- checkSDistTarball :: (StackM env m, HasEnvConfig env) => Path Abs File -> m ()
- checkSDistTarball' :: (StackM env m, HasEnvConfig env) => String -> ByteString -> m ()

# Documentation

getSDistTarball #

Arguments

:: (StackM env m, HasEnvConfig env) |
=> Maybe PvpBounds | Override Config value
-> Path Abs Dir | Path to local package
-> m (FilePath, ByteString) | Filename and tarball contents

Given the path to a local package, creates its source distribution tarball.

While this yields a `FilePath`, the name of the tarball, this tarball is not written to the disk and instead yielded as a lazy bytestring.

checkSDistTarball #

Arguments

:: (StackM env m, HasEnvConfig env) |
=> Path Abs File | Absolute path to tarball
-> m () |

Check package in given tarball. This will log all warnings and will throw an exception in case of critical errors.

Note that we temporarily decompress the archive to analyze it.

checkSDistTarball' #

Arguments

:: (StackM env m, HasEnvConfig env) |
=> String | Tarball name
-> ByteString | Tarball contents as a byte string
-> m () |

Version of `checkSDistTarball` that first saves lazy bytestring to temporary directory and then calls `checkSDistTarball` on it.